package com.unis.sxzcl.ui.todo;

import android.widget.TextView;

import androidx.core.content.ContextCompat;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.module.LoadMoreModule;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.unis.model.bean.aeration.AerationBean;
import com.unis.sxzcl.R;

import org.jetbrains.annotations.NotNull;

/**
 * 包名: com.unis.sxzcl.ui.todo
 * 类名: TodoApplyListAdapter
 * 作用描述: 已发起
 * 创建人: mQ
 * 创建时间: 2020/12/21 9:49
 * 更新人:
 * 更新时间: 2020/12/21 9:49
 * 更新说明:
 * 版本号: 1.0
 */
public class TodoApplyListAdapter extends BaseQuickAdapter<AerationBean, BaseViewHolder> implements LoadMoreModule {

    public TodoListAdapter.NextCallback mNextCallback;

    public TodoApplyListAdapter(TodoListAdapter.NextCallback nextCallback) {
        super(R.layout.item_list_todo);
        mNextCallback = nextCallback;
    }

    @Override
    protected void convert(@NotNull BaseViewHolder holder, AerationBean item) {
        // 已发起列表
        // 隐藏倒计时
        holder.setGone(R.id.tv_warn_time, true);
        // 隐藏逾期
        holder.setGone(R.id.tv_timeout, true);
        // 隐藏办理按钮
        holder.setGone(R.id.tv_next, true);

        // 业务类型
        holder.setText(R.id.tv_title, item.getWorkName());
        // 业务内容
        holder.setText(R.id.tv_content, item.getContent());
        // 业务时间
        holder.setText(R.id.tv_time, item.getApplyTime());

        // 业务状态
        TextView tvStatus = holder.getView(R.id.tv_status);

        //审批状态(0:提交,1审批通过:,2:审批不通过，3:审批完成进行中，4已完成）
        String auditState = item.getAuditState();
        if (auditState.equals("0")
                || auditState.equals("1")) {
            tvStatus.setText("审批中");
            tvStatus.setTextColor(ContextCompat.getColor(getContext(), R.color.colorText55));
        } else if (auditState.equals("2")) {
            tvStatus.setText("审批不通过");
            tvStatus.setTextColor(ContextCompat.getColor(getContext(), R.color.colorRed));
        } else {
            tvStatus.setText("审批通过");
            tvStatus.setTextColor(ContextCompat.getColor(getContext(), R.color.colorTheme));
        }

        holder.itemView.setTag(item);
        holder.itemView.setOnClickListener(v -> {
            if (mNextCallback != null)
                mNextCallback.onNextCallback((AerationBean) v.getTag());
        });
    }

}
